import java.io.*;
import java.net.*;
import java.util.*;

public class CTMLHandler
{
PrintStream m_OutStream;


public CTMLHandler(OutputStream out, CaddyVM vm, Hashtable argumentTable, String sPage)
{ 
	m_OutStream = new PrintStream(out);

    StringTokenizer ST = new StringTokenizer(sPage,"\n\r");
    StringBuffer parsedPage = new StringBuffer();
    StringBuffer buffer = new StringBuffer();
    boolean bInScript = false;
    while(ST.hasMoreTokens())
    {
        String token = ST.nextToken();
        if(token.compareTo("<C") == 0)
        {
            bInScript = true;
        }else
        if(token.compareTo("C>") == 0)
        {
            bInScript = false;
            //execute script

            StringTokenizer vmargs = new StringTokenizer(buffer.toString(), "\n\r");
            while(vmargs.hasMoreTokens())
            {
              //parsedPage.append(vm.parseCommand(vmargs.nextToken(), argumentTable));
              vm.addCommand(vmargs.nextToken());
            }

            vm.setHashVars(argumentTable);
            parsedPage.append(vm.executeScript());
            //System.out.println("Script: \n"+buffer.toString());
            buffer = new StringBuffer();
        }
        else
        {
            if(bInScript)
            {
                buffer.append(token+"\n");
            }
            else
            {
                parsedPage.append(token+"\n");
            }
        
        }
    }
	
	//Send back the parsed page.
	m_OutStream.print("Content-Type: text/html\n\n");
	m_OutStream.print(parsedPage.toString());
    //return parsedPage.toString();

}

}