import java.awt.*;
import java.io.*;
import java.net.*;
import java.lang.*;
import java.util.*;

public class HttpServerThread extends Thread
{
ServerSocket m_ServerSocket;
int m_nSocketID;
//CaddyVM vm;
CaddySQL sql = new CaddySQL();

public HttpServerThread(int socket)
{ 
        m_nSocketID = socket;
        //vm = new CaddyVM(sql);
}

synchronized CaddySQL getSQL()
{
	return sql;
}

public void run()
   {
   try
       { 
            System.out.println("Opening Http port: "+m_nSocketID+"\n-----------------------");
            m_ServerSocket = new ServerSocket(m_nSocketID);   
           while (true)
            {
                Socket incoming = m_ServerSocket.accept();
				
				// Get host info from our new connection
				InetAddress iNet = incoming.getInetAddress();
				System.out.println("New Connection: "+iNet.getHostAddress());
				
				// Handle the new conenction
                HttpServerCommThread Ht = new HttpServerCommThread(incoming, this);
                Ht.start();
            }
       }
    catch (Exception e)
         {
            System.out.println(e);
            System.out.println("Error (HttpServerThread) :"+e);
         }     
  } 
  
/*
synchronized int SQLQuery(String sQuery, Vector vResults)                        
{
    int nResult = caddySQL.Query(sQuery, vResults);
    notifyAll();

    return nResult;
} 
*/

} // end all